Develop and Download Open Source Software

Browse CVS Repository

Diff of /freewnn/FreeWnn/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Revision Graph Revision Graph | View Patch Patch

revision 1.24 by hiroo, Sun May 12 01:01:46 2002 UTC revision 1.25 by hiroo, Sat Jun 15 10:19:27 2002 UTC
# Line 2518  case $host in Line 2518  case $host in
2518      CDEBUGFLAGS="-O2 -fno-strength-reduce"      CDEBUGFLAGS="-O2 -fno-strength-reduce"
2519      ;;      ;;
2520  *-*-freebsd*|*-*-netbsd*|*-*-openbsd*)  *-*-freebsd*|*-*-netbsd*|*-*-openbsd*)
     CCOPTIONS="-DCSRG_BASED"  
2521      CDEBUGFLAGS="-O2 -fno-strength-reduce"      CDEBUGFLAGS="-O2 -fno-strength-reduce"
2522      ;;      ;;
2523  *-*-bsdi*)  *-*-bsdi*)
     CCOPTIONS="-DCSRG_BASED"  
2524      CDEBUGFLAGS="-O2 -fno-strength-reduce"      CDEBUGFLAGS="-O2 -fno-strength-reduce"
2525      ;;      ;;
2526  *-*-sunos*)  *-*-sunos*)
# Line 2579  if test $debug = true; then Line 2577  if test $debug = true; then
2577      if test $GCC = yes; then      if test $GCC = yes; then
2578        CDEBUGFLAGS="-g2 -Wall -fstack-check $CDEBUGFLAGS"        CDEBUGFLAGS="-g2 -Wall -fstack-check $CDEBUGFLAGS"
2579      fi      fi
2580  fi      INSTPGMFLAGS=
   
 if test ${debug} = true; then  
      INSTPGMFLAGS=  
2581  else  else
2582       INSTPGMFLAGS="-s"      INSTPGMFLAGS="-s"
2583  fi  fi
2584    
2585    
# Line 4126  test "x$enable_libtool_lock" != xno && e Line 4121  test "x$enable_libtool_lock" != xno && e
4121  case $host in  case $host in
4122  *-*-irix6*)  *-*-irix6*)
4123    # Find out which ABI we are using.    # Find out which ABI we are using.
4124    echo '#line 4129 "configure"' > conftest.$ac_ext    echo '#line 4124 "configure"' > conftest.$ac_ext
4125    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4126    (eval $ac_compile) 2>&5    (eval $ac_compile) 2>&5
4127    ac_status=$?    ac_status=$?
# Line 4655  chmod -w . Line 4650  chmod -w .
4650  save_CFLAGS="$CFLAGS"  save_CFLAGS="$CFLAGS"
4651  CFLAGS="$CFLAGS -o out/conftest2.$ac_objext"  CFLAGS="$CFLAGS -o out/conftest2.$ac_objext"
4652  compiler_c_o=no  compiler_c_o=no
4653  if { (eval echo configure:4658: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then  if { (eval echo configure:4653: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
4654    # The compiler can only warn and ignore the option if not recognized    # The compiler can only warn and ignore the option if not recognized
4655    # So say no if there are warnings    # So say no if there are warnings
4656    if test -s out/conftest.err; then    if test -s out/conftest.err; then
# Line 6274  else Line 6269  else
6269      lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2      lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
6270    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
6271    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
6272  #line 6277 "configure"  #line 6272 "configure"
6273  #include "confdefs.h"  #include "confdefs.h"
6274    
6275  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 6372  else Line 6367  else
6367      lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2      lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
6368    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
6369    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
6370  #line 6375 "configure"  #line 6370 "configure"
6371  #include "confdefs.h"  #include "confdefs.h"
6372    
6373  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 7228  _ACEOF Line 7223  _ACEOF
7223  fi  fi
7224    
7225    
7226    echo "$as_me:$LINENO: checking for getservbyname in -lbind" >&5
7227    echo $ECHO_N "checking for getservbyname in -lbind... $ECHO_C" >&6
7228    if test "${ac_cv_lib_bind_getservbyname+set}" = set; then
7229      echo $ECHO_N "(cached) $ECHO_C" >&6
7230    else
7231      ac_check_lib_save_LIBS=$LIBS
7232    LIBS="-lbind  $LIBS"
7233    cat >conftest.$ac_ext <<_ACEOF
7234    #line $LINENO "configure"
7235    #include "confdefs.h"
7236    
7237    /* Override any gcc2 internal prototype to avoid an error.  */
7238    #ifdef __cplusplus
7239    extern "C"
7240    #endif
7241    /* We use char because int might match the return type of a gcc2
7242       builtin and then its argument prototype would still apply.  */
7243    char getservbyname ();
7244    #ifdef F77_DUMMY_MAIN
7245    #  ifdef __cplusplus
7246         extern "C"
7247    #  endif
7248       int F77_DUMMY_MAIN() { return 1; }
7249    #endif
7250    int
7251    main ()
7252    {
7253    getservbyname ();
7254      ;
7255      return 0;
7256    }
7257    _ACEOF
7258    rm -f conftest.$ac_objext conftest$ac_exeext
7259    if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7260      (eval $ac_link) 2>&5
7261      ac_status=$?
7262      echo "$as_me:$LINENO: \$? = $ac_status" >&5
7263      (exit $ac_status); } &&
7264             { ac_try='test -s conftest$ac_exeext'
7265      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7266      (eval $ac_try) 2>&5
7267      ac_status=$?
7268      echo "$as_me:$LINENO: \$? = $ac_status" >&5
7269      (exit $ac_status); }; }; then
7270      ac_cv_lib_bind_getservbyname=yes
7271    else
7272      echo "$as_me: failed program was:" >&5
7273    cat conftest.$ac_ext >&5
7274    ac_cv_lib_bind_getservbyname=no
7275    fi
7276    rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
7277    LIBS=$ac_check_lib_save_LIBS
7278    fi
7279    echo "$as_me:$LINENO: result: $ac_cv_lib_bind_getservbyname" >&5
7280    echo "${ECHO_T}$ac_cv_lib_bind_getservbyname" >&6
7281    if test $ac_cv_lib_bind_getservbyname = yes; then
7282      cat >>confdefs.h <<_ACEOF
7283    #define HAVE_LIBBIND 1
7284    _ACEOF
7285    
7286      LIBS="-lbind $LIBS"
7287    
7288    fi
7289    
7290    
7291  echo "$as_me:$LINENO: checking for gethostbyname in -lnsl" >&5  echo "$as_me:$LINENO: checking for gethostbyname in -lnsl" >&5
7292  echo $ECHO_N "checking for gethostbyname in -lnsl... $ECHO_C" >&6  echo $ECHO_N "checking for gethostbyname in -lnsl... $ECHO_C" >&6
7293  if test "${ac_cv_lib_nsl_gethostbyname+set}" = set; then  if test "${ac_cv_lib_nsl_gethostbyname+set}" = set; then
# Line 7719  fi Line 7779  fi
7779    
7780    
7781    
 for ac_header in fcntl.h sgtty.h termio.h unistd.h  
 do  
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`  
 if eval "test \"\${$as_ac_Header+set}\" = set"; then  
   echo "$as_me:$LINENO: checking for $ac_header" >&5  
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6  
 if eval "test \"\${$as_ac_Header+set}\" = set"; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 fi  
 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5  
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6  
 else  
   # Is the header compilable?  
 echo "$as_me:$LINENO: checking $ac_header usability" >&5  
 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6  
 cat >conftest.$ac_ext <<_ACEOF  
 #line $LINENO "configure"  
 #include "confdefs.h"  
 $ac_includes_default  
 #include <$ac_header>  
 _ACEOF  
 rm -f conftest.$ac_objext  
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5  
   (eval $ac_compile) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -s conftest.$ac_objext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   ac_header_compiler=yes  
 else  
   echo "$as_me: failed program was:" >&5  
 cat conftest.$ac_ext >&5  
 ac_header_compiler=no  
 fi  
 rm -f conftest.$ac_objext conftest.$ac_ext  
 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5  
 echo "${ECHO_T}$ac_header_compiler" >&6  
7782    
 # Is the header present?  
 echo "$as_me:$LINENO: checking $ac_header presence" >&5  
 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6  
 cat >conftest.$ac_ext <<_ACEOF  
 #line $LINENO "configure"  
 #include "confdefs.h"  
 #include <$ac_header>  
 _ACEOF  
 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5  
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1  
   ac_status=$?  
   egrep -v '^ *\+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } >/dev/null; then  
   if test -s conftest.err; then  
     ac_cpp_err=$ac_c_preproc_warn_flag  
   else  
     ac_cpp_err=  
   fi  
 else  
   ac_cpp_err=yes  
 fi  
 if test -z "$ac_cpp_err"; then  
   ac_header_preproc=yes  
 else  
   echo "$as_me: failed program was:" >&5  
   cat conftest.$ac_ext >&5  
   ac_header_preproc=no  
 fi  
 rm -f conftest.err conftest.$ac_ext  
 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5  
 echo "${ECHO_T}$ac_header_preproc" >&6  
7783    
 # So?  What about this header?  
 case $ac_header_compiler:$ac_header_preproc in  
   yes:no )  
     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5  
 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5  
 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;  
   no:yes )  
     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5  
 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5  
 echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5  
 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;  
 esac  
 echo "$as_me:$LINENO: checking for $ac_header" >&5  
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6  
 if eval "test \"\${$as_ac_Header+set}\" = set"; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   eval "$as_ac_Header=$ac_header_preproc"  
 fi  
 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5  
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6  
7784    
 fi  
 if test `eval echo '${'$as_ac_Header'}'` = yes; then  
   cat >>confdefs.h <<_ACEOF  
 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1  
 _ACEOF  
7785    
 fi  
7786    
 done  
7787    
7788    
7789    
7790    
7791    
7792    
 for ac_header in sys/file.h sys/ioctl.h sys/time.h sys/types.h sys/param.h  
 do  
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`  
 if eval "test \"\${$as_ac_Header+set}\" = set"; then  
   echo "$as_me:$LINENO: checking for $ac_header" >&5  
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6  
 if eval "test \"\${$as_ac_Header+set}\" = set"; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 fi  
 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5  
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6  
 else  
   # Is the header compilable?  
 echo "$as_me:$LINENO: checking $ac_header usability" >&5  
 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6  
 cat >conftest.$ac_ext <<_ACEOF  
 #line $LINENO "configure"  
 #include "confdefs.h"  
 $ac_includes_default  
 #include <$ac_header>  
 _ACEOF  
 rm -f conftest.$ac_objext  
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5  
   (eval $ac_compile) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -s conftest.$ac_objext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   ac_header_compiler=yes  
 else  
   echo "$as_me: failed program was:" >&5  
 cat conftest.$ac_ext >&5  
 ac_header_compiler=no  
 fi  
 rm -f conftest.$ac_objext conftest.$ac_ext  
 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5  
 echo "${ECHO_T}$ac_header_compiler" >&6  
7793    
7794  # Is the header present?  for ac_header in fcntl.h sgtty.h syslog.h unistd.h \
7795  echo "$as_me:$LINENO: checking $ac_header presence" >&5          sys/file.h sys/ioctl.h sys/time.h sys/types.h sys/param.h \
7796  echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6          malloc.h strings.h memory.h \
7797  cat >conftest.$ac_ext <<_ACEOF          curses.h ncurses.h term.h termio.h \
 #line $LINENO "configure"  
 #include "confdefs.h"  
 #include <$ac_header>  
 _ACEOF  
 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5  
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1  
   ac_status=$?  
   egrep -v '^ *\+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } >/dev/null; then  
   if test -s conftest.err; then  
     ac_cpp_err=$ac_c_preproc_warn_flag  
   else  
     ac_cpp_err=  
   fi  
 else  
   ac_cpp_err=yes  
 fi  
 if test -z "$ac_cpp_err"; then  
   ac_header_preproc=yes  
 else  
   echo "$as_me: failed program was:" >&5  
   cat conftest.$ac_ext >&5  
   ac_header_preproc=no  
 fi  
 rm -f conftest.err conftest.$ac_ext  
 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5  
 echo "${ECHO_T}$ac_header_preproc" >&6  
7798    
 # So?  What about this header?  
 case $ac_header_compiler:$ac_header_preproc in  
   yes:no )  
     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5  
 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5  
 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;  
   no:yes )  
     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5  
 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5  
 echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5  
 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;  
 esac  
 echo "$as_me:$LINENO: checking for $ac_header" >&5  
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6  
 if eval "test \"\${$as_ac_Header+set}\" = set"; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   eval "$as_ac_Header=$ac_header_preproc"  
 fi  
 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5  
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6  
   
 fi  
 if test `eval echo '${'$as_ac_Header'}'` = yes; then  
   cat >>confdefs.h <<_ACEOF  
 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1  
 _ACEOF  
   
 fi  
   
 done  
   
   
   
   
 for ac_header in malloc.h strings.h memory.h  
 do  
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`  
 if eval "test \"\${$as_ac_Header+set}\" = set"; then  
   echo "$as_me:$LINENO: checking for $ac_header" >&5  
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6  
 if eval "test \"\${$as_ac_Header+set}\" = set"; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 fi  
 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5  
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6  
 else  
   # Is the header compilable?  
 echo "$as_me:$LINENO: checking $ac_header usability" >&5  
 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6  
 cat >conftest.$ac_ext <<_ACEOF  
 #line $LINENO "configure"  
 #include "confdefs.h"  
 $ac_includes_default  
 #include <$ac_header>  
 _ACEOF  
 rm -f conftest.$ac_objext  
 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5  
   (eval $ac_compile) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -s conftest.$ac_objext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   ac_header_compiler=yes  
 else  
   echo "$as_me: failed program was:" >&5  
 cat conftest.$ac_ext >&5  
 ac_header_compiler=no  
 fi  
 rm -f conftest.$ac_objext conftest.$ac_ext  
 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5  
 echo "${ECHO_T}$ac_header_compiler" >&6  
   
 # Is the header present?  
 echo "$as_me:$LINENO: checking $ac_header presence" >&5  
 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6  
 cat >conftest.$ac_ext <<_ACEOF  
 #line $LINENO "configure"  
 #include "confdefs.h"  
 #include <$ac_header>  
 _ACEOF  
 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5  
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1  
   ac_status=$?  
   egrep -v '^ *\+' conftest.er1 >conftest.err  
   rm -f conftest.er1  
   cat conftest.err >&5  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } >/dev/null; then  
   if test -s conftest.err; then  
     ac_cpp_err=$ac_c_preproc_warn_flag  
   else  
     ac_cpp_err=  
   fi  
 else  
   ac_cpp_err=yes  
 fi  
 if test -z "$ac_cpp_err"; then  
   ac_header_preproc=yes  
 else  
   echo "$as_me: failed program was:" >&5  
   cat conftest.$ac_ext >&5  
   ac_header_preproc=no  
 fi  
 rm -f conftest.err conftest.$ac_ext  
 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5  
 echo "${ECHO_T}$ac_header_preproc" >&6  
   
 # So?  What about this header?  
 case $ac_header_compiler:$ac_header_preproc in  
   yes:no )  
     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5  
 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5  
 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;  
   no:yes )  
     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5  
 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5  
 echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}  
     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5  
 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;};;  
 esac  
 echo "$as_me:$LINENO: checking for $ac_header" >&5  
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6  
 if eval "test \"\${$as_ac_Header+set}\" = set"; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   eval "$as_ac_Header=$ac_header_preproc"  
 fi  
 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5  
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6  
   
 fi  
 if test `eval echo '${'$as_ac_Header'}'` = yes; then  
   cat >>confdefs.h <<_ACEOF  
 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1  
 _ACEOF  
   
 fi  
   
 done  
   
   
 for ac_header in syslog.h  
7799  do  do
7800  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`  as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
7801  if eval "test \"\${$as_ac_Header+set}\" = set"; then  if eval "test \"\${$as_ac_Header+set}\" = set"; then
# Line 8357  fi Line 8085  fi
8085    
8086  echo "$as_me:$LINENO: checking for socklen_t" >&5  echo "$as_me:$LINENO: checking for socklen_t" >&5
8087  echo $ECHO_N "checking for socklen_t... $ECHO_C" >&6  echo $ECHO_N "checking for socklen_t... $ECHO_C" >&6
8088  cat >conftest.$ac_ext <<_ACEOF  if test "${ac_cv_type_socklen_t+set}" = set; then
8089      echo $ECHO_N "(cached) $ECHO_C" >&6
8090    else
8091      cat >conftest.$ac_ext <<_ACEOF
8092  #line $LINENO "configure"  #line $LINENO "configure"
8093  #include "confdefs.h"  #include "confdefs.h"
8094  #include <sys/socket.h>  INCLUDES = sys/socket.h
8095    
8096    #ifdef F77_DUMMY_MAIN
8097    #  ifdef __cplusplus
8098         extern "C"
8099    #  endif
8100       int F77_DUMMY_MAIN() { return 1; }
8101    #endif
8102    int
8103    main ()
8104    {
8105    if ((socklen_t *) 0)
8106      return 0;
8107    if (sizeof (socklen_t))
8108      return 0;
8109      ;
8110      return 0;
8111    }
8112  _ACEOF  _ACEOF
8113  if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |  rm -f conftest.$ac_objext
8114    egrep "socklen_t" >/dev/null 2>&1; then  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
8115    echo "$as_me:$LINENO: result: yes" >&5    (eval $ac_compile) 2>&5
8116  echo "${ECHO_T}yes" >&6    ac_status=$?
8117      echo "$as_me:$LINENO: \$? = $ac_status" >&5
8118      (exit $ac_status); } &&
8119             { ac_try='test -s conftest.$ac_objext'
8120      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8121      (eval $ac_try) 2>&5
8122      ac_status=$?
8123      echo "$as_me:$LINENO: \$? = $ac_status" >&5
8124      (exit $ac_status); }; }; then
8125      ac_cv_type_socklen_t=yes
8126  else  else
8127      echo "$as_me: failed program was:" >&5
8128    cat conftest.$ac_ext >&5
8129    ac_cv_type_socklen_t=no
8130    fi
8131    rm -f conftest.$ac_objext conftest.$ac_ext
8132    fi
8133    echo "$as_me:$LINENO: result: $ac_cv_type_socklen_t" >&5
8134    echo "${ECHO_T}$ac_cv_type_socklen_t" >&6
8135    if test $ac_cv_type_socklen_t = yes; then
8136    
8137  cat >>confdefs.h <<\_ACEOF  cat >>confdefs.h <<_ACEOF
8138  #define socklen_t int  #define HAVE_SOCKLEN_T 1
8139  _ACEOF  _ACEOF
8140    
8141  echo "$as_me:$LINENO: result: no" >&5  
8142  echo "${ECHO_T}no" >&6  else
8143      cat >>confdefs.h <<\_ACEOF
8144    #define socklen_t int
8145    _ACEOF
8146    
8147  fi  fi
 rm -f conftest*  
8148    
8149    
8150    
# Line 8445  echo "${ECHO_T}$ac_cv_prog_gcc_tradition Line 8213  echo "${ECHO_T}$ac_cv_prog_gcc_tradition
8213    fi    fi
8214  fi  fi
8215    
 echo "$as_me:$LINENO: checking for working memcmp" >&5  
 echo $ECHO_N "checking for working memcmp... $ECHO_C" >&6  
 if test "${ac_cv_func_memcmp_working+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   if test "$cross_compiling" = yes; then  
   ac_cv_func_memcmp_working=no  
 else  
   cat >conftest.$ac_ext <<_ACEOF  
 #line $LINENO "configure"  
 #include "confdefs.h"  
   
 #ifdef F77_DUMMY_MAIN  
 #  ifdef __cplusplus  
      extern "C"  
 #  endif  
    int F77_DUMMY_MAIN() { return 1; }  
 #endif  
 int  
 main ()  
 {  
   
   /* Some versions of memcmp are not 8-bit clean.  */  
   char c0 = 0x40, c1 = 0x80, c2 = 0x81;  
   if (memcmp(&c0, &c2, 1) >= 0 || memcmp(&c1, &c2, 1) >= 0)  
     exit (1);  
   
   /* The Next x86 OpenStep bug shows up only when comparing 16 bytes  
      or more and with at least one buffer not starting on a 4-byte boundary.  
      William Lewis provided this test program.   */  
   {  
     char foo[21];  
     char bar[21];  
     int i;  
     for (i = 0; i < 4; i++)  
       {  
         char *a = foo + i;  
         char *b = bar + i;  
         strcpy (a, "--------01111111");  
         strcpy (b, "--------10000000");  
         if (memcmp (a, b, 16) >= 0)  
           exit (1);  
       }  
     exit (0);  
   }  
   
   ;  
   return 0;  
 }  
 _ACEOF  
 rm -f conftest$ac_exeext  
 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5  
   (eval $ac_link) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   ac_cv_func_memcmp_working=yes  
 else  
   echo "$as_me: program exited with status $ac_status" >&5  
 echo "$as_me: failed program was:" >&5  
 cat conftest.$ac_ext >&5  
 ( exit $ac_status )  
 ac_cv_func_memcmp_working=no  
 fi  
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext  
 fi  
 fi  
 echo "$as_me:$LINENO: result: $ac_cv_func_memcmp_working" >&5  
 echo "${ECHO_T}$ac_cv_func_memcmp_working" >&6  
 test $ac_cv_func_memcmp_working = no && LIBOBJS="$LIBOBJS memcmp.$ac_objext"  
8216    
8217  echo "$as_me:$LINENO: checking return type of signal handlers" >&5  echo "$as_me:$LINENO: checking return type of signal handlers" >&5
8218  echo $ECHO_N "checking return type of signal handlers... $ECHO_C" >&6  echo $ECHO_N "checking return type of signal handlers... $ECHO_C" >&6
# Line 8582  cat >>confdefs.h <<_ACEOF Line 8275  cat >>confdefs.h <<_ACEOF
8275  _ACEOF  _ACEOF
8276    
8277    
8278  echo "$as_me:$LINENO: checking for wait3 that fills in rusage" >&5  if test "$ac_cv_type_signal" = void; then
 echo $ECHO_N "checking for wait3 that fills in rusage... $ECHO_C" >&6  
 if test "${ac_cv_func_wait3_rusage+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   if test "$cross_compiling" = yes; then  
   ac_cv_func_wait3_rusage=no  
 else  
   cat >conftest.$ac_ext <<_ACEOF  
 #line $LINENO "configure"  
 #include "confdefs.h"  
 #include <sys/types.h>  
 #include <sys/time.h>  
 #include <sys/resource.h>  
 #include <stdio.h>  
 /* HP-UX has wait3 but does not fill in rusage at all.  */  
 int  
 main ()  
 {  
   struct rusage r;  
   int i;  
   /* Use a field that we can force nonzero --  
      voluntary context switches.  
      For systems like NeXT and OSF/1 that don't set it,  
      also use the system CPU time.  And page faults (I/O) for Linux.  */  
   r.ru_nvcsw = 0;  
   r.ru_stime.tv_sec = 0;  
   r.ru_stime.tv_usec = 0;  
   r.ru_majflt = r.ru_minflt = 0;  
   switch (fork ())  
     {  
     case 0: /* Child.  */  
       sleep(1); /* Give up the CPU.  */  
       _exit(0);  
       break;  
     case -1: /* What can we do?  */  
       _exit(0);  
       break;  
     default: /* Parent.  */  
       wait3(&i, 0, &r);  
       /* Avoid "text file busy" from rm on fast HP-UX machines.  */  
       sleep(2);  
       exit (r.ru_nvcsw == 0 && r.ru_majflt == 0 && r.ru_minflt == 0  
             && r.ru_stime.tv_sec == 0 && r.ru_stime.tv_usec == 0);  
     }  
 }  
 _ACEOF  
 rm -f conftest$ac_exeext  
 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5  
   (eval $ac_link) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   ac_cv_func_wait3_rusage=yes  
 else  
   echo "$as_me: program exited with status $ac_status" >&5  
 echo "$as_me: failed program was:" >&5  
 cat conftest.$ac_ext >&5  
 ( exit $ac_status )  
 ac_cv_func_wait3_rusage=no  
 fi  
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext  
 fi  
 fi  
 echo "$as_me:$LINENO: result: $ac_cv_func_wait3_rusage" >&5  
 echo "${ECHO_T}$ac_cv_func_wait3_rusage" >&6  
 if test $ac_cv_func_wait3_rusage = yes; then  
8279    
8280  cat >>confdefs.h <<\_ACEOF  cat >>confdefs.h <<\_ACEOF
8281  #define HAVE_WAIT3 1  #define RETSIGTYPE_VOID 1
8282  _ACEOF  _ACEOF
8283    
8284  fi  fi
8285    
8286    echo "$as_me:$LINENO: checking for working memcmp" >&5
8287  for ac_func in perror  echo $ECHO_N "checking for working memcmp... $ECHO_C" >&6
8288  do  if test "${ac_cv_func_memcmp_working+set}" = set; then
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`  
 echo "$as_me:$LINENO: checking for $ac_func" >&5  
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6  
 if eval "test \"\${$as_ac_var+set}\" = set"; then  
8289    echo $ECHO_N "(cached) $ECHO_C" >&6    echo $ECHO_N "(cached) $ECHO_C" >&6
8290  else  else
8291      if test "$cross_compiling" = yes; then
8292      ac_cv_func_memcmp_working=no
8293    else
8294    cat >conftest.$ac_ext <<_ACEOF    cat >conftest.$ac_ext <<_ACEOF
8295  #line $LINENO "configure"  #line $LINENO "configure"
8296  #include "confdefs.h"  #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,  
     which can conflict with char $ac_func (); below.  */  
 #include <assert.h>  
 /* Override any gcc2 internal prototype to avoid an error.  */  
 #ifdef __cplusplus  
 extern "C"  
 #endif  
 /* We use char because int might match the return type of a gcc2  
    builtin and then its argument prototype would still apply.  */  
 char $ac_func ();  
 char (*f) ();  
8297    
8298  #ifdef F77_DUMMY_MAIN  #ifdef F77_DUMMY_MAIN
8299  #  ifdef __cplusplus  #  ifdef __cplusplus
# Line 8694  char (*f) (); Line 8304  char (*f) ();
8304  int  int
8305  main ()  main ()
8306  {  {
 /* The GNU C library defines this for functions which it implements  
     to always fail with ENOSYS.  Some functions are actually named  
     something starting with __ and the normal name is an alias.  */  
 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)  
 choke me  
 #else  
 f = $ac_func;  
 #endif  
8307    
8308    ;    /* Some versions of memcmp are not 8-bit clean.  */
8309    return 0;    char c0 = 0x40, c1 = 0x80, c2 = 0x81;
8310  }    if (memcmp(&c0, &c2, 1) >= 0 || memcmp(&c1, &c2, 1) >= 0)
8311  _ACEOF      exit (1);
 rm -f conftest.$ac_objext conftest$ac_exeext  
 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5  
   (eval $ac_link) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -s conftest$ac_exeext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   eval "$as_ac_var=yes"  
 else  
   echo "$as_me: failed program was:" >&5  
 cat conftest.$ac_ext >&5  
 eval "$as_ac_var=no"  
 fi  
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext  
 fi  
 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5  
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6  
 if test `eval echo '${'$as_ac_var'}'` = yes; then  
   cat >>confdefs.h <<_ACEOF  
 #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1  
 _ACEOF  
   
 fi  
 done  
   
   
   
 for ac_func in drand48 strtol  
 do  
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`  
 echo "$as_me:$LINENO: checking for $ac_func" >&5  
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6  
 if eval "test \"\${$as_ac_var+set}\" = set"; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   cat >conftest.$ac_ext <<_ACEOF  
 #line $LINENO "configure"  
 #include "confdefs.h"  
 /* System header to define __stub macros and hopefully few prototypes,  
     which can conflict with char $ac_func (); below.  */  
 #include <assert.h>  
 /* Override any gcc2 internal prototype to avoid an error.  */  
 #ifdef __cplusplus  
 extern "C"  
 #endif  
 /* We use char because int might match the return type of a gcc2  
    builtin and then its argument prototype would still apply.  */  
 char $ac_func ();  
 char (*f) ();  
8312    
8313  #ifdef F77_DUMMY_MAIN    /* The Next x86 OpenStep bug shows up only when comparing 16 bytes
8314  #  ifdef __cplusplus       or more and with at least one buffer not starting on a 4-byte boundary.
8315       extern "C"       William Lewis provided this test program.   */
8316  #  endif    {
8317     int F77_DUMMY_MAIN() { return 1; }      char foo[21];
8318  #endif      char bar[21];
8319  int      int i;
8320  main ()      for (i = 0; i < 4; i++)
8321  {        {
8322  /* The GNU C library defines this for functions which it implements          char *a = foo + i;
8323      to always fail with ENOSYS.  Some functions are actually named          char *b = bar + i;
8324      something starting with __ and the normal name is an alias.  */          strcpy (a, "--------01111111");
8325  #if defined (__stub_$ac_func) || defined (__stub___$ac_func)          strcpy (b, "--------10000000");
8326  choke me          if (memcmp (a, b, 16) >= 0)
8327  #else            exit (1);
8328  f = $ac_func;        }
8329  #endif      exit (0);
8330      }
8331    
8332    ;    ;
8333    return 0;    return 0;
8334  }  }
8335  _ACEOF  _ACEOF
8336  rm -f conftest.$ac_objext conftest$ac_exeext  rm -f conftest$ac_exeext
8337  if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5  if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
8338    (eval $ac_link) 2>&5    (eval $ac_link) 2>&5
8339    ac_status=$?    ac_status=$?
8340    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
8341    (exit $ac_status); } &&    (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
          { ac_try='test -s conftest$ac_exeext'  
8342    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8343    (eval $ac_try) 2>&5    (eval $ac_try) 2>&5
8344    ac_status=$?    ac_status=$?
8345    echo "$as_me:$LINENO: \$? = $ac_status" >&5    echo "$as_me:$LINENO: \$? = $ac_status" >&5
8346    (exit $ac_status); }; }; then    (exit $ac_status); }; }; then
8347    eval "$as_ac_var=yes"    ac_cv_func_memcmp_working=yes
8348  else  else
8349    echo "$as_me: failed program was:" >&5    echo "$as_me: program exited with status $ac_status" >&5
8350    echo "$as_me: failed program was:" >&5
8351  cat conftest.$ac_ext >&5  cat conftest.$ac_ext >&5
8352  eval "$as_ac_var=no"  ( exit $ac_status )
8353    ac_cv_func_memcmp_working=no
8354  fi  fi
8355  rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext  rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
8356  fi  fi
 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5  
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6  
 if test `eval echo '${'$as_ac_var'}'` = yes; then  
   cat >>confdefs.h <<_ACEOF  
 #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1  
 _ACEOF  
   
8357  fi  fi
8358  done  echo "$as_me:$LINENO: result: $ac_cv_func_memcmp_working" >&5
8359    echo "${ECHO_T}$ac_cv_func_memcmp_working" >&6
8360    test $ac_cv_func_memcmp_working = no && LIBOBJS="$LIBOBJS memcmp.$ac_objext"
8361    
8362    
8363    
8364  for ac_func in fchmod  for ac_func in wait3 setpgrp
8365  do  do
8366  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
8367  echo "$as_me:$LINENO: checking for $ac_func" >&5  echo "$as_me:$LINENO: checking for $ac_func" >&5
# Line 8890  _ACEOF Line 8436  _ACEOF
8436  fi  fi
8437  done  done
8438    
 echo "$as_me:$LINENO: checking for setpgrp" >&5  
 echo $ECHO_N "checking for setpgrp... $ECHO_C" >&6  
 if test "${ac_cv_func_setpgrp+set}" = set; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   cat >conftest.$ac_ext <<_ACEOF  
 #line $LINENO "configure"  
 #include "confdefs.h"  
 /* System header to define __stub macros and hopefully few prototypes,  
     which can conflict with char setpgrp (); below.  */  
 #include <assert.h>  
 /* Override any gcc2 internal prototype to avoid an error.  */  
 #ifdef __cplusplus  
 extern "C"  
 #endif  
 /* We use char because int might match the return type of a gcc2  
    builtin and then its argument prototype would still apply.  */  
 char setpgrp ();  
 char (*f) ();  
   
 #ifdef F77_DUMMY_MAIN  
 #  ifdef __cplusplus  
      extern "C"  
 #  endif  
    int F77_DUMMY_MAIN() { return 1; }  
 #endif  
 int  
 main ()  
 {  
 /* The GNU C library defines this for functions which it implements  
     to always fail with ENOSYS.  Some functions are actually named  
     something starting with __ and the normal name is an alias.  */  
 #if defined (__stub_setpgrp) || defined (__stub___setpgrp)  
 choke me  
 #else  
 f = setpgrp;  
 #endif  
   
   ;  
   return 0;  
 }  
 _ACEOF  
 rm -f conftest.$ac_objext conftest$ac_exeext  
 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5  
   (eval $ac_link) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -s conftest$ac_exeext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   ac_cv_func_setpgrp=yes  
 else  
   echo "$as_me: failed program was:" >&5  
 cat conftest.$ac_ext >&5  
 ac_cv_func_setpgrp=no  
 fi  
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext  
 fi  
 echo "$as_me:$LINENO: result: $ac_cv_func_setpgrp" >&5  
 echo "${ECHO_T}$ac_cv_func_setpgrp" >&6  
   
8439  echo "$as_me:$LINENO: checking whether setpgrp takes no argument" >&5  echo "$as_me:$LINENO: checking whether setpgrp takes no argument" >&5
8440  echo $ECHO_N "checking whether setpgrp takes no argument... $ECHO_C" >&6  echo $ECHO_N "checking whether setpgrp takes no argument... $ECHO_C" >&6
8441  if test "${ac_cv_func_setpgrp_void+set}" = set; then  if test "${ac_cv_func_setpgrp_void+set}" = set; then
# Line 9023  fi Line 8504  fi
8504    
8505    
8506    
 for ac_func in gethostname select  
 do  
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`  
 echo "$as_me:$LINENO: checking for $ac_func" >&5  
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6  
 if eval "test \"\${$as_ac_var+set}\" = set"; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   cat >conftest.$ac_ext <<_ACEOF  
 #line $LINENO "configure"  
 #include "confdefs.h"  
 /* System header to define __stub macros and hopefully few prototypes,  
     which can conflict with char $ac_func (); below.  */  
 #include <assert.h>  
 /* Override any gcc2 internal prototype to avoid an error.  */  
 #ifdef __cplusplus  
 extern "C"  
 #endif  
 /* We use char because int might match the return type of a gcc2  
    builtin and then its argument prototype would still apply.  */  
 char $ac_func ();  
 char (*f) ();  
8507    
 #ifdef F77_DUMMY_MAIN  
 #  ifdef __cplusplus  
      extern "C"  
 #  endif  
    int F77_DUMMY_MAIN() { return 1; }  
 #endif  
 int  
 main ()  
 {  
 /* The GNU C library defines this for functions which it implements  
     to always fail with ENOSYS.  Some functions are actually named  
     something starting with __ and the normal name is an alias.  */  
 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)  
 choke me  
 #else  
 f = $ac_func;  
 #endif  
8508    
   ;  
   return 0;  
 }  
 _ACEOF  
 rm -f conftest.$ac_objext conftest$ac_exeext  
 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5  
   (eval $ac_link) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -s conftest$ac_exeext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   eval "$as_ac_var=yes"  
 else  
   echo "$as_me: failed program was:" >&5  
 cat conftest.$ac_ext >&5  
 eval "$as_ac_var=no"  
 fi  
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext  
 fi  
 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5  
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6  
 if test `eval echo '${'$as_ac_var'}'` = yes; then  
   cat >>confdefs.h <<_ACEOF  
 #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1  
 _ACEOF  
8509    
 fi  
 done  
8510    
8511    
8512    
8513    
8514    
8515    
8516  for ac_func in socket closesocket setsockopt send recv  
8517    
8518    
8519    
8520    for ac_func in drand48 fchmod \
8521            gethostname select socket closesocket setsockopt send recv \
8522            getrlimit syslog vsyslog setenv snprintf
8523  do  do
8524  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
8525  echo "$as_me:$LINENO: checking for $ac_func" >&5  echo "$as_me:$LINENO: checking for $ac_func" >&5
# Line 9181  done Line 8597  done
8597    
8598    
8599    
 for ac_func in syslog vsyslog setenv  
 do  
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`  
 echo "$as_me:$LINENO: checking for $ac_func" >&5  
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6  
 if eval "test \"\${$as_ac_var+set}\" = set"; then  
   echo $ECHO_N "(cached) $ECHO_C" >&6  
 else  
   cat >conftest.$ac_ext <<_ACEOF  
 #line $LINENO "configure"  
 #include "confdefs.h"  
 /* System header to define __stub macros and hopefully few prototypes,  
     which can conflict with char $ac_func (); below.  */  
 #include <assert.h>  
 /* Override any gcc2 internal prototype to avoid an error.  */  
 #ifdef __cplusplus  
 extern "C"  
 #endif  
 /* We use char because int might match the return type of a gcc2  
    builtin and then its argument prototype would still apply.  */  
 char $ac_func ();  
 char (*f) ();  
8600    
 #ifdef F77_DUMMY_MAIN  
 #  ifdef __cplusplus  
      extern "C"  
 #  endif  
    int F77_DUMMY_MAIN() { return 1; }  
 #endif  
 int  
 main ()  
 {  
 /* The GNU C library defines this for functions which it implements  
     to always fail with ENOSYS.  Some functions are actually named  
     something starting with __ and the normal name is an alias.  */  
 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)  
 choke me  
 #else  
 f = $ac_func;  
 #endif  
8601    
   ;  
   return 0;  
 }  
 _ACEOF  
 rm -f conftest.$ac_objext conftest$ac_exeext  
 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5  
   (eval $ac_link) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); } &&  
          { ac_try='test -s conftest$ac_exeext'  
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5  
   (eval $ac_try) 2>&5  
   ac_status=$?  
   echo "$as_me:$LINENO: \$? = $ac_status" >&5  
   (exit $ac_status); }; }; then  
   eval "$as_ac_var=yes"  
 else  
   echo "$as_me: failed program was:" >&5  
 cat conftest.$ac_ext >&5  
 eval "$as_ac_var=no"  
 fi  
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext  
 fi  
 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5  
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6  
 if test `eval echo '${'$as_ac_var'}'` = yes; then  
   cat >>confdefs.h <<_ACEOF  
 #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1  
 _ACEOF  
8602    
 fi  
 done  
8603    
8604    
8605    
8606    
8607  for ac_func in bcopy bzero bcmp  for ac_func in bcopy bzero bcmp index rindex \
8608            memcpy memmove memset strchr strrchr
8609  do  do
8610  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
8611  echo "$as_me:$LINENO: checking for $ac_func" >&5  echo "$as_me:$LINENO: checking for $ac_func" >&5
# Line 9411  if test `eval echo '${'$as_ac_var'}'` = Line 8757  if test `eval echo '${'$as_ac_var'}'` =
8757  _ACEOF  _ACEOF
8758    
8759  else  else
8760    JS_SUPPORTOBJS="$JS_SUPPORTOBJS ${ac_func}.o"    JS_SUPPORTOBJS="${JS_SUPPORTOBJS} ${ac_func}.o"
8761  fi  fi
8762  done  done
8763    
# Line 9426  for dir in Contrib Contrib/dic Contrib/d Line 8772  for dir in Contrib Contrib/dic Contrib/d
8772    fi    fi
8773  done  done
8774    
8775  # Wnn / kWnn part is not available yet ...  
8776    
8777    makefiles_generic="makerule.mk Makefile"
8778    
8779    
8780    if test "x${Wnn}" = "xWnn"; then
8781      makefiles_wnn="Wnn/Makefile Wnn/conv/Makefile Wnn/include/Makefile \
8782            Wnn/jd/Makefile Wnn/jd/rk/Makefile Wnn/jd/rk.vi/Makefile \
8783            Wnn/jlib/Makefile Wnn/jlib.V3/Makefile Wnn/jserver/Makefile \
8784            Wnn/jutil/Makefile Wnn/ld/Makefile Wnn/ld/rk/Makefile \
8785            Wnn/romkan/Makefile Wnn/uum/Makefile \
8786            Wnn/man/Makefile Wnn/man/2.env/Makefile Wnn/man/3.libwnn/Makefile \
8787            Wnn/man/4.cmd/Makefile Wnn/man/6.jutil/Makefile \
8788            Wnn/man/2.env/dic/Makefile Wnn/man/2.env/wnn/Makefile \
8789            Wnn/man/3.libwnn/jl_lib/Makefile Wnn/man/3.libwnn/js_lib/Makefile \
8790            Wnn/man/3.libwnn/misc_lib/Makefile Wnn/man/3.libwnn/rk_lib/Makefile"
8791      makefiles_wnn_dic="Contrib/dic/gerodic/Makefile Wnn/pubdicplus/Makefile \
8792            Wnn/wnncons/Makefile Wnn/wnncons/dic/Makefile"
8793    fi
8794    
8795    
8796  if test "x$cWnn" = "xcWnn"; then  if test "x$cWnn" = "xcWnn"; then
8797  makefiles_cwnn="cWnn/Makefile cWnn/cdic/Makefile cWnn/conv/Makefile cWnn/etc/Makefile \    makefiles_cwnn="cWnn/Makefile cWnn/conv/Makefile cWnn/etc/Makefile \
8798  cWnn/cd/Makefile cWnn/cd/rk/Makefile cWnn/cd/rk_p/Makefile cWnn/cd/rk_z/Makefile \          cWnn/cd/Makefile cWnn/cd/rk/Makefile \
8799  cWnn/td/Makefile cWnn/td/rk/Makefile cWnn/td/rk_z/Makefile cWnn/td/rk_p/Makefile \          cWnn/cd/rk_p/Makefile cWnn/cd/rk_z/Makefile \
8800  cWnn/include/Makefile cWnn/jlib/Makefile cWnn/jserver/Makefile cWnn/jutil/Makefile \          cWnn/td/Makefile cWnn/td/rk/Makefile \
8801  cWnn/man/Makefile cWnn/man/1.intro/Makefile cWnn/man/2.env/Makefile \          cWnn/td/rk_z/Makefile cWnn/td/rk_p/Makefile \
8802  cWnn/man/4.cmd/Makefile cWnn/man/6.jutil/Makefile \          cWnn/include/Makefile cWnn/jlib/Makefile \
8803  cWnn/tdic/Makefile cWnn/romkan/Makefile cWnn/uum/Makefile"          cWnn/jserver/Makefile cWnn/jutil/Makefile \
8804            cWnn/man/Makefile cWnn/man/1.intro/Makefile cWnn/man/2.env/Makefile \
8805            cWnn/man/4.cmd/Makefile cWnn/man/6.jutil/Makefile \
8806            cWnn/romkan/Makefile cWnn/uum/Makefile"
8807      makefiles_cwnn_dic="cWnn/cdic/Makefile cWnn/tdic/Makefile"
8808    fi
8809    
8810    
8811    if test "x$kWnn" = "xkWnn"; then
8812      makefiles_kwnn="kWnn/Makefile kWnn/conv/Makefile kWnn/etc/Makefile \
8813            kWnn/include/Makefile kWnn/jlib/Makefile kWnn/jutil/Makefile \
8814            kWnn/jserver/Makefile kWnn/kd/Makefile kWnn/kd/rk/Makefile \
8815            kWnn/romkan/Makefile kWnn/uum/Makefile"
8816      makefiles_kwnn_dic="kWnn/kdic/Makefile"
8817  fi  fi
8818    
8819  ac_config_files="$ac_config_files makerule.mk Makefile Contrib/dic/gerodic/Makefile Wnn/Makefile Wnn/conv/Makefile Wnn/include/Makefile Wnn/jutil/Makefile Wnn/jd/Makefile Wnn/jd/rk/Makefile Wnn/jd/rk.vi/Makefile Wnn/jlib/Makefile Wnn/jlib.V3/Makefile Wnn/jserver/Makefile Wnn/ld/Makefile Wnn/ld/rk/Makefile Wnn/man/Makefile Wnn/man/2.env/Makefile Wnn/man/3.libwnn/Makefile Wnn/man/4.cmd/Makefile Wnn/man/6.jutil/Makefile Wnn/man/2.env/dic/Makefile Wnn/man/2.env/wnn/Makefile Wnn/man/3.libwnn/jl_lib/Makefile Wnn/man/3.libwnn/js_lib/Makefile Wnn/man/3.libwnn/misc_lib/Makefile Wnn/man/3.libwnn/rk_lib/Makefile Wnn/pubdicplus/Makefile Wnn/romkan/Makefile Wnn/uum/Makefile Wnn/wnncons/Makefile Wnn/wnncons/dic/Makefile $makefiles_cwnn kWnn/Makefile kWnn/conv/Makefile kWnn/etc/Makefile kWnn/include/Makefile kWnn/jlib/Makefile kWnn/jutil/Makefile kWnn/jserver/Makefile kWnn/kd/Makefile kWnn/kd/rk/Makefile kWnn/kdic/Makefile kWnn/romkan/Makefile kWnn/uum/Makefile"  ac_config_files="$ac_config_files ${makefiles_generic} ${makefiles_wnn} ${makefiles_wnn_dic} ${makefiles_cwnn} ${makefiles_cwnn_dic} ${makefiles_kwnn} ${makefiles_kwnn_dic}"
8820  cat >confcache <<\_ACEOF  cat >confcache <<\_ACEOF
8821  # This file is a shell script that caches the results of configure  # This file is a shell script that caches the results of configure
8822  # tests run on this system so they can be shared between configure  # tests run on this system so they can be shared between configure
# Line 9909  for ac_config_target in $ac_config_targe Line 9288  for ac_config_target in $ac_config_targe
9288  do  do
9289    case "$ac_config_target" in    case "$ac_config_target" in
9290    # Handling of arguments.    # Handling of arguments.
9291    "makerule.mk" ) CONFIG_FILES="$CONFIG_FILES makerule.mk" ;;    "${makefiles_generic}" ) CONFIG_FILES="$CONFIG_FILES ${makefiles_generic}" ;;
9292    "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;    "${makefiles_wnn}" ) CONFIG_FILES="$CONFIG_FILES ${makefiles_wnn}" ;;
9293    "Contrib/dic/gerodic/Makefile" ) CONFIG_FILES="$CONFIG_FILES Contrib/dic/gerodic/Makefile" ;;    "${makefiles_wnn_dic}" ) CONFIG_FILES="$CONFIG_FILES ${makefiles_wnn_dic}" ;;
9294    "Wnn/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/Makefile" ;;    "${makefiles_cwnn}" ) CONFIG_FILES="$CONFIG_FILES ${makefiles_cwnn}" ;;
9295    "Wnn/conv/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/conv/Makefile" ;;    "${makefiles_cwnn_dic}" ) CONFIG_FILES="$CONFIG_FILES ${makefiles_cwnn_dic}" ;;
9296    "Wnn/include/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/include/Makefile" ;;    "${makefiles_kwnn}" ) CONFIG_FILES="$CONFIG_FILES ${makefiles_kwnn}" ;;
9297    "Wnn/jutil/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/jutil/Makefile" ;;    "${makefiles_kwnn_dic}" ) CONFIG_FILES="$CONFIG_FILES ${makefiles_kwnn_dic}" ;;
   "Wnn/jd/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/jd/Makefile" ;;  
   "Wnn/jd/rk/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/jd/rk/Makefile" ;;  
   "Wnn/jd/rk.vi/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/jd/rk.vi/Makefile" ;;  
   "Wnn/jlib/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/jlib/Makefile" ;;  
   "Wnn/jlib.V3/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/jlib.V3/Makefile" ;;  
   "Wnn/jserver/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/jserver/Makefile" ;;  
   "Wnn/ld/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/ld/Makefile" ;;  
   "Wnn/ld/rk/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/ld/rk/Makefile" ;;  
   "Wnn/man/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/man/Makefile" ;;  
   "Wnn/man/2.env/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/man/2.env/Makefile" ;;  
   "Wnn/man/3.libwnn/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/man/3.libwnn/Makefile" ;;  
   "Wnn/man/4.cmd/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/man/4.cmd/Makefile" ;;  
   "Wnn/man/6.jutil/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/man/6.jutil/Makefile" ;;  
   "Wnn/man/2.env/dic/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/man/2.env/dic/Makefile" ;;  
   "Wnn/man/2.env/wnn/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/man/2.env/wnn/Makefile" ;;  
   "Wnn/man/3.libwnn/jl_lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/man/3.libwnn/jl_lib/Makefile" ;;  
   "Wnn/man/3.libwnn/js_lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/man/3.libwnn/js_lib/Makefile" ;;  
   "Wnn/man/3.libwnn/misc_lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/man/3.libwnn/misc_lib/Makefile" ;;  
   "Wnn/man/3.libwnn/rk_lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/man/3.libwnn/rk_lib/Makefile" ;;  
   "Wnn/pubdicplus/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/pubdicplus/Makefile" ;;  
   "Wnn/romkan/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/romkan/Makefile" ;;  
   "Wnn/uum/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/uum/Makefile" ;;  
   "Wnn/wnncons/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/wnncons/Makefile" ;;  
   "Wnn/wnncons/dic/Makefile" ) CONFIG_FILES="$CONFIG_FILES Wnn/wnncons/dic/Makefile" ;;  
   "$makefiles_cwnn" ) CONFIG_FILES="$CONFIG_FILES $makefiles_cwnn" ;;  
   "kWnn/Makefile" ) CONFIG_FILES="$CONFIG_FILES kWnn/Makefile" ;;  
   "kWnn/conv/Makefile" ) CONFIG_FILES="$CONFIG_FILES kWnn/conv/Makefile" ;;  
   "kWnn/etc/Makefile" ) CONFIG_FILES="$CONFIG_FILES kWnn/etc/Makefile" ;;  
   "kWnn/include/Makefile" ) CONFIG_FILES="$CONFIG_FILES kWnn/include/Makefile" ;;  
   "kWnn/jlib/Makefile" ) CONFIG_FILES="$CONFIG_FILES kWnn/jlib/Makefile" ;;  
   "kWnn/jutil/Makefile" ) CONFIG_FILES="$CONFIG_FILES kWnn/jutil/Makefile" ;;  
   "kWnn/jserver/Makefile" ) CONFIG_FILES="$CONFIG_FILES kWnn/jserver/Makefile" ;;  
   "kWnn/kd/Makefile" ) CONFIG_FILES="$CONFIG_FILES kWnn/kd/Makefile" ;;  
   "kWnn/kd/rk/Makefile" ) CONFIG_FILES="$CONFIG_FILES kWnn/kd/rk/Makefile" ;;  
   "kWnn/kdic/Makefile" ) CONFIG_FILES="$CONFIG_FILES kWnn/kdic/Makefile" ;;  
   "kWnn/romkan/Makefile" ) CONFIG_FILES="$CONFIG_FILES kWnn/romkan/Makefile" ;;  
   "kWnn/uum/Makefile" ) CONFIG_FILES="$CONFIG_FILES kWnn/uum/Makefile" ;;  
9298    "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;    "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
9299    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
9300  echo "$as_me: error: invalid argument: $ac_config_target" >&2;}  echo "$as_me: error: invalid argument: $ac_config_target" >&2;}

Legend:
Removed from v.1.24  
changed lines
  Added in v.1.25

Back to OSDN">Back to OSDN
ViewVC Help
Powered by ViewVC 1.1.26